/*----------------------------------------------------------------
 * nonet.c - dummy network driver for libnet
 *----------------------------------------------------------------
 *  libnet is (c) Copyright Chad Catlett and George Foot 1997-1998
 *
 *  Please look in `docs' for details, documentation and
 *  distribution conditions.
 */

#include "libnet.h"

static char nonet_desc[80] = "No networking";
static char return_addresses[] = "(n/a)";

static int nonet_detect() { return NET_DETECT_YES; }
static int nonet_init()   { return 0; }
static int nonet_exit()   { return 0; }

static int nonet_init_channel    (NET_CHANNEL *chan) { chan->return_addr = return_addresses; return 0; }
static int nonet_destroy_channel (NET_CHANNEL *chan) { return 0; }
static int nonet_update_target   (NET_CHANNEL *chan) { return 0; }

static int nonet_send (NET_CHANNEL *chan, void *buf, int size) { return 0; }
static int nonet_recv (NET_CHANNEL *chan, void *buf, int size, char *x) { return 0; }

static int nonet_query (NET_CHANNEL *chan) { return 0; }

static int nonet_init_input_channel    (NET_CHANNEL *chan) { chan->return_addr = return_addresses; return 0; }

static void nonet_load_config (FILE *fp) { }

NET_DRIVER net_driver_nonet = {
	"No network",    /* name */
	nonet_desc,

	nonet_detect,
	nonet_init,
	nonet_exit,

	nonet_init_channel,
	nonet_init_input_channel,
	nonet_destroy_channel,

	nonet_update_target,
	nonet_send,
	nonet_recv,
	nonet_query,

	nonet_load_config
};

